lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'arrival/version'

Gem::Specification.new do |spec|
  spec.name          = 'arrival'
  spec.version       = Arrival::VERSION
  spec.authors       = ['Arno Fleming']
  spec.email         = ['arno@wetransfer.com']

  spec.summary       = %(pt-gh-ost runner for ActiveRecord migrations)
  spec.description   = %(Execute your ActiveRecord migrations with Github's `gh-ost`, a triggerless online schema changer)
  spec.homepage      = 'https://github.com/wetransfer/arrival'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'activerecord', '~> 5.2.0'
  spec.add_runtime_dependency 'mysql2', '>= 0.4.0', '<= 0.5.3'

  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.4', '>= 3.4.0'
  spec.add_development_dependency 'rspec-its', '~> 1.2'
  spec.add_development_dependency 'pry' ,'~> 0.12.2'
  # spec.add_development_dependency 'simplecov' #,'~> 8.2', '>= 8.2.1'
end
